## org.apache.lucene.codecs.cheapbastard
Class CheapBastardNormsFormat

    java.lang.Object
      org.apache.lucene.codecs.NormsFormat
          org.apache.lucene.codecs.cheapbastard.CheapBastardNormsFormat

    public final class CheapBastardNormsFormat

extends NormsFormat

Norms format that keeps all norms on disk

Constructor Summary
`CheapBastardNormsFormat()`

Method Summary
`DocValuesConsumer` `normsConsumer(SegmentWriteState state)`
`DocValuesProducer` `normsProducer(SegmentReadState state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheapBastardNormsFormat

    public CheapBastardNormsFormat()

Method Detail

### normsConsumer

    public DocValuesConsumer normsConsumer(SegmentWriteState state)
                                    throws IOException

  Specified by:
    `normsConsumer` in class `NormsFormat`
  Throws:
    `IOException`

### normsProducer

    public DocValuesProducer normsProducer(SegmentReadState state)
                                    throws IOException

  Specified by:
    `normsProducer` in class `NormsFormat`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.